from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class ConditionOperator(IntEnum):
    NONE = auto()
    EQUAL = auto()
    NOT_EQUAL = auto()
    GREATER = auto()
    GREATER_EQUAL = auto()
    LESS = auto()
    LESS_EQUAL = auto()
    BETWEEN = auto()
    NOT_BETWEEN = auto()
    FORMULA = auto()
